QGIS Application - Feature request #13017
Graduated Size can be disabled by previous settings
2015-06-21 01:22 PM - Klas Karlsson

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21093
Description

If you have a point layer and first use a single symbol style, with a data defined override as size, you need to clear this before changing to
Graduated style and the Size Method.

If you don't, your settings in the Graduated style will have no effect.

(Tested on Ubuntu 15.04 and Master)

History

#1 - 2015-06-21 03:56 PM - Nyall Dawson

Is this a bug? Data defined settings are intended to always override any other settings...

#2 - 2015-06-21 10:31 PM - Klas Karlsson

I think it is, when the override cancels settings in another branch of the styling. You get no option to fix it from Graduated styling, you have to change back
to Single Style to do that.

Any selections or choices made in one type of mode, should be cancelled or disabled when you change mode.

At least that is what | think...

#3 - 2015-06-22 02:17 AM - Nyall Dawson

You can select all the classes and right click -> change size. That allows you to remove the data defined size

#4 - 2015-06-22 08:40 AM - Klas Karlsson

- File image1.png added

- File image2.png added

Noted! Not a bug, but still a feature request, because | think it's a bit unintuitive.

The Data Defined Override button in the context menu could be visible in the dialogue itself instead. Maybe to the right of the Millimeter/Map Unit drop
down (image), but | see why you might want to have the classes individually overridden.

A better way might be to include some form of "warning" or "flag" to make the user aware of that Data Defined Overrides are active (image2)?
#5 - 2015-07-31 11:54 AM - Giovanni Manghi
- Tracker changed from Bug report to Feature request
- Category set to Symbology

#6 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
